libetonyek::IWORKFieldElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKFieldElement Class Reference

`#include <IWORKFieldElement.h>`

Inheritance diagram for libetonyek::IWORKFieldElement:

## Public Member Functions
| IWORKFieldElement (IWORKXMLParserState &state, IWORKFieldType type)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | text (const char *value) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
IWORKFieldType | m_type
boost::optional< unsigned > | m_value
boost::optional< std::string > | m_val

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKFieldElement()

libetonyek::IWORKFieldElement::IWORKFieldElement | ( | IWORKXMLParserState & | state,
|  | IWORKFieldType | type
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKFieldElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprotected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKFieldElement::element | ( | int | name | ) |
| overrideprotected

## ◆ endOfElement()

void libetonyek::IWORKFieldElement::endOfElement | ( |  | ) |
| overrideprotected

## ◆ text()

void libetonyek::IWORKFieldElement::text | ( | const char * | value | ) |
| overrideprotected

## Member Data Documentation

## ◆ m_type

IWORKFieldType libetonyek::IWORKFieldElement::m_type
| private

Referenced by element(), endOfElement(), and text().

## ◆ m_val

boost::optional<std::string> libetonyek::IWORKFieldElement::m_val
| private

Referenced by attribute().

## ◆ m_value

boost::optional<unsigned> libetonyek::IWORKFieldElement::m_value
| private

Referenced by attribute().

The documentation for this class was generated from the following files:

- IWORKFieldElement.h
- IWORKFieldElement.cpp